=== debian/control ===
Source: cython-legacy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-exec,
               dh-python,
               gdb <!nocheck>,
               help2man,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy [!i386] <!nocheck>,
               python3-setuptools <!nocheck>
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython-legacy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython-legacy

Package: cython3-legacy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: cython3, cython3-dbg
Replaces: cython3, cython3-dbg
Recommends: gcc, python3-dev
Suggests: cython-legacy-doc
Description: C-Extensions for Python 3 (legacy version 0.29)
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-legacy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Conflicts: cython-doc
Replaces: cython-doc
Suggests: cython3-legacy
Description: C-Extensions for Python (legacy version 0.29)- documentation
 This package contains documentation for Cython.
