## cython-legacy 0.29.37

=== debian/changelog ===
cython-legacy (0.29.37-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 08 Apr 2024 10:14:59 +0000

cython-legacy (0.29.37-2) unstable; urgency=medium

  * Remove usages of deprecated numpy.distutils
  * Disable unicode test_raiseMemError (Closes: #1059839)

 -- Graham Inggs <ginggs@debian.org>  Mon, 08 Apr 2024 09:22:30 +0000

cython-legacy (0.29.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (closes: #1062604)

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 Feb 2024 21:52:29 +0000

cython-legacy (0.29.36-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:44 +1100

cython-legacy (0.29.36-3ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:23 +0100

cython-legacy (0.29.36-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 14:38:10 +0100

cython-legacy (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * Skip (autopkg)tests which fail with Python 3.12, and note that
    pyximport probably doesn't work with Python 3.12 in the package
    description.

 -- Julian Gilbey <jdg@debian.org>  Wed, 13 Dec 2023 22:16:14 +0000

cython-legacy (0.29.36-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@debian.org>  Tue, 12 Dec 2023 15:49:56 +0100

cython-legacy (0.29.36-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Limit watch file to 0.x versions.

  [ Julian Gilbey ]
  * Use zombie-imp to allow pyximport to run under Python 3.12
  * Call python as python3 in Makefiles

 -- Julian Gilbey <jdg@debian.org>  Tue, 12 Dec 2023 06:43:57 +0000
