=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cython-legacy
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-exec,
@@ -11,7 +12,8 @@
                python3-all-dbg,
                python3-all-dev,
                python3-numpy [!i386] <!nocheck>,
-               python3-setuptools <!nocheck>
+               python3-setuptools <!nocheck>,
+               python3-zombie-imp
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 4.6.1
 Homepage: http://cython.org/
@@ -20,7 +22,10 @@
 
 Package: cython3-legacy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-zombie-imp,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Conflicts: cython3, cython3-dbg
 Replaces: cython3, cython3-dbg
 Recommends: gcc, python3-dev
@@ -37,6 +42,10 @@
  .
  This makes Cython the ideal language for wrapping external C libraries, and
  for fast C modules that speed up the execution of Python code.
+ .
+ This legacy version may not work with Python 3.12.  In particular, the
+ pyximport module appears to fail.  This legacy version should not be used
+ as a package run-time dependency.
 
 Package: cython-legacy-doc
 Architecture: all
@@ -46,5 +55,5 @@
 Conflicts: cython-doc
 Replaces: cython-doc
 Suggests: cython3-legacy
-Description: C-Extensions for Python (legacy version 0.29)- documentation
+Description: C-Extensions for Python (legacy version 0.29) - documentation
  This package contains documentation for Cython.
